#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define ANONGID 257
#define ANONUID 258
#define PATHNAME 259
#define HOSTNAME 260
#define SQUASH 261
#define PERMISSION 262
#define SECURE 263
#define SYNC 264
#define WRITEDELAY 265
#define HIDE 266
#define SUBTREECHECK 267
#define SECURELOCKS 268
#define NUMBER 269
typedef union {
   CMPIBoolean          boolean;
   CMPIChar16           char16;
   CMPIUint8            uint8;
   CMPIUint16           uint16;
   CMPIUint32           uint32;
   CMPIUint64           uint64;
   CMPISint8            sint8;
   CMPISint16           sint16;
   CMPISint32           sint32;
   CMPISint64           sint64;
   CMPIReal32           real32;
   CMPIReal64           real64;
   /* Note - we override the CIM definition of string and dateTime to make these data types
      easier to handle in the lexer/parser. Both are instead implemented as simple text strings. */
   char *		string;
   char *		dateTime;
} YYSTYPE;
extern YYSTYPE NFSv3yylval;
