#ifndef lint
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.28 2000/01/17 02:04:06 bde Exp $";
#endif
#include <stdlib.h>
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
static int yygrowstack();
#define yyparse NFSv3xmlyyparse
#define yylex NFSv3xmlyylex
#define yyerror NFSv3xmlyyerror
#define yychar NFSv3xmlyychar
#define yyval NFSv3xmlyyval
#define yylval NFSv3xmlyylval
#define yydebug NFSv3xmlyydebug
#define yynerrs NFSv3xmlyynerrs
#define yyerrflag NFSv3xmlyyerrflag
#define yyss NFSv3xmlyyss
#define yyssp NFSv3xmlyyssp
#define yyvs NFSv3xmlyyvs
#define yyvsp NFSv3xmlyyvsp
#define yylhs NFSv3xmlyylhs
#define yylen NFSv3xmlyylen
#define yydefred NFSv3xmlyydefred
#define yydgoto NFSv3xmlyydgoto
#define yysindex NFSv3xmlyysindex
#define yyrindex NFSv3xmlyyrindex
#define yygindex NFSv3xmlyygindex
#define yytable NFSv3xmlyytable
#define yycheck NFSv3xmlyycheck
#define yyname NFSv3xmlyyname
#define yyrule NFSv3xmlyyrule
#define yysslim NFSv3xmlyysslim
#define yystacksize NFSv3xmlyystacksize
#define YYPREFIX "NFSv3xmlyy"
#line 5 "util/xmlparser/xmlparser.y"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "GLOBALS.h"		/* Contains _SETTINGCLASSNAME */

#define RC_OK 0
#define RC_SYNTAX_ERROR 1
#define RC_BAD_CLASSNAME 2
#define RC_SETPROPERTY_FAILED 3
#define RC_EOF EOF

extern int NFSv3setProperty( char * name, char * typename, char * valuebuffer); /* see Linux_SystemSettingUtil.c */
extern int NFSv3setArrayProperty( char * name, char * typename, char * valuebuffer); /* see Linux_SystemSettingUtil.c */

/* DEFINE ANY GLOBAL VARS HERE */
static char propertyname[_MAXNAMELENGTH];
static char propertytype[_MAXNAMELENGTH];
static int propertyisarray;
#line 27 "util/xmlparser/xmlparser.y"
typedef union {
   char * string;
} YYSTYPE;
#line 67 "xmlparser.c"
#define YYERRCODE 256
#define STARTINSTANCE 257
#define ENDINSTANCE 258
#define STARTPROPERTY 259
#define ENDPROPERTY 260
#define STARTVALUE 261
#define ENDVALUE 262
#define STARTVALUEARRAY 263
#define ENDVALUEARRAY 264
#define NAME 265
#define CLASSNAME 266
#define TYPE 267
#define ENDOFFILE 268
#define QUOTEDTEXT 269
#define UNQUOTEDTEXT 270
const short NFSv3xmlyylhs[] = {                                        -1,
    1,    0,    0,    2,    2,    5,    3,    4,    4,    6,
    9,    7,    8,    8,
};
const short NFSv3xmlyylen[] = {                                         2,
    0,    8,    1,    1,    2,    0,   11,    1,    1,    3,
    0,    4,    1,    2,
};
const short NFSv3xmlyydefred[] = {                                      0,
    0,    3,    0,    0,    0,    1,    0,    0,    0,    0,
    0,    0,    2,    5,    0,    0,    0,    0,    0,    6,
    0,    0,   11,    0,    8,    9,    0,    0,    7,   10,
    0,    0,   14,   12,
};
const short NFSv3xmlyydgoto[] = {                                       3,
    7,   10,   11,   24,   21,   31,   26,   32,   28,
};
const short NFSv3xmlyysindex[] = {                                   -257,
 -264,    0,    0,  -57, -263,    0,  -55, -254, -256, -250,
 -254,  -51,    0,    0, -255, -252,  -49, -253,  -45,    0,
 -260, -251,    0, -247,    0,    0, -244, -241,    0,    0,
 -241, -243,    0,    0,
};
const short NFSv3xmlyyrindex[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 -236,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 -240,    0,    0,    0,
};
const short NFSv3xmlyygindex[] = {                                      0,
    0,   12,    0,    0,    0,    4,    0,   -5,    0,
};
#define YYTABLESIZE 26
const short NFSv3xmlyytable[] = {                                       1,
   22,    4,   23,    5,    9,    6,    8,   13,   12,   15,
    2,   18,   29,   16,   17,   19,   20,   30,   27,   22,
   34,    4,   14,   13,   25,   33,
};
const short NFSv3xmlyycheck[] = {                                     257,
  261,  266,  263,   61,  259,  269,   62,  258,  265,   61,
  268,   61,  260,  269,  267,  269,   62,  262,  270,  261,
  264,  258,   11,  264,   21,   31,
};
#define YYFINAL 3
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 270
#if YYDEBUG
const char * const NFSv3xmlyyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"'='","'>'",0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"STARTINSTANCE",
"ENDINSTANCE","STARTPROPERTY","ENDPROPERTY","STARTVALUE","ENDVALUE",
"STARTVALUEARRAY","ENDVALUEARRAY","NAME","CLASSNAME","TYPE","ENDOFFILE",
"QUOTEDTEXT","UNQUOTEDTEXT",
};
const char * const NFSv3xmlyyrule[] = {
"$accept : instance",
"$$1 :",
"instance : STARTINSTANCE CLASSNAME '=' QUOTEDTEXT $$1 '>' properties ENDINSTANCE",
"instance : ENDOFFILE",
"properties : property",
"properties : property properties",
"$$2 :",
"property : STARTPROPERTY NAME '=' QUOTEDTEXT TYPE '=' QUOTEDTEXT '>' $$2 propertyvalue ENDPROPERTY",
"propertyvalue : simplevalue",
"propertyvalue : arrayvalue",
"simplevalue : STARTVALUE UNQUOTEDTEXT ENDVALUE",
"$$3 :",
"arrayvalue : STARTVALUEARRAY $$3 simplevalues ENDVALUEARRAY",
"simplevalues : simplevalue",
"simplevalues : simplevalue simplevalues",
};
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
#line 107 "util/xmlparser/xmlparser.y"
/* USER SUBROUTINE SECTION */

#line 192 "xmlparser.c"
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 46 "util/xmlparser/xmlparser.y"
{
			/* Check that this instance's classname matches the provider */
			int rc = strcmp(_SETTINGCLASSNAME,yyvsp[0].string);
			free(yyvsp[0].string);
			if (rc) return RC_BAD_CLASSNAME; 
		}
break;
case 2:
#line 53 "util/xmlparser/xmlparser.y"
{
			/* Return after parsing each instance */
			return RC_OK;
		}
break;
case 3:
#line 58 "util/xmlparser/xmlparser.y"
{ return RC_EOF; }
break;
case 6:
#line 66 "util/xmlparser/xmlparser.y"
{
			strcpy(propertyname,yyvsp[-4].string); free(yyvsp[-4].string);
			strcpy(propertytype,yyvsp[-1].string); free(yyvsp[-1].string);
			propertyisarray = 0; /* default to simple property data value */
		}
break;
case 10:
#line 79 "util/xmlparser/xmlparser.y"
{
			/* Check if the simple data value goes into an array or not */
			int rc;
			if (!propertyisarray) {
			   rc = NFSv3setProperty(propertyname, propertytype, yyvsp[-1].string);
			} else {
			   rc = NFSv3setArrayProperty(propertyname, propertytype, yyvsp[-1].string);
			}
                        free(yyvsp[-1].string);
                        if (!rc) return RC_SETPROPERTY_FAILED;
		}
break;
case 11:
#line 93 "util/xmlparser/xmlparser.y"
{
			/* The subsequent simple property values will go in an array */
			propertyisarray = 1;
		}
break;
#line 436 "xmlparser.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
